<template>
  <!-- <error-content code="404" desc="Oh~~您的页面好像飞走了~" :src="src"/> -->
  <error-content code="" desc="请稍后，正在加载中......" :src="src"/>
</template>

<script>
// import error404 from '@/assets/images/error-page/error-404.svg'
import error404 from '@/assets/images/error-page/error-404.png'
import errorContent from './error-content.vue'
export default {
    name: 'error_404',
    components: {
        errorContent
    },
    data () {
        return {
            src: error404,
            setpassConditions: ''
        }
    },
    beforeRouteEnter (to, from, next) {
        next(vm => {
            if (from.name == null) {
                vm.$router.replace({
                    name: vm.$config.homeName
                })
            }
        })
    }
}
</script>
